List location groups

GET/v1/l2_segments/location_groups

To show a list of location groups, you can send a GET request to /v1/l2_segments/location_groups. If it is necessary, modify the command with query parameters.

Authorization

bearerAuth
AuthorizationBearer <token>

In: header

Query Parameters

FieldDetails
group_type?
string

Value in: "public", "private"

A group type specifies what type of L2 Segments will be displayed: public or private.

per_page?
integer

Default: 20

Range: 1–100

The number of results [ 1 .. 100 ] displayed on a page. By default, 20 results are shown.

page?
integer

Default: 1

Min: 1

The number of a page (>= 1) that will be returned. By default, it's 1.

sorting?
string

Value in: "id", "name", "group_type"

Default: "id"

This parameter sorts items. By default, it's id. Also, it's possible to sort by updated_at and created_at.

direction?
string

Value in: "ASC", "DESC"

Default: "ASC"

This parameter defines if items are sorted in an ascending ASC or descending DESC order. By default, ASC is set up.

Response Body

application/json

curl -X GET "https://example.com/v1/l2_segments/location_groups"
[  {    "id": 76,    "name": "location2031",    "code": "location2031",    "group_type": "public",    "location_ids": [      982    ],    "location_codes": [      "location2029"    ],    "hyperscalers": [      "AWS",      "Azure",      "GCP"    ]  }]